local function add_structure(f)
	if(f) then
		f.shape_table_data = 
		{
			{
				file  	    = f.ShapeName,
				life	    = f.Life,
				username    = f.Name,
				desrt       = f.ShapeNameDestr or "self",
			        classname   = f.classname   or "lLandVehicle",
				positioning = f.positioning or "ONLYHEIGTH"	--available: {"BYNORMAL", "ONLYHEIGTH", "BY_XZ", "ADD_HEIGTH"}
			}
		}
		if f.ShapeNameDestr then
			f.shape_table_data[#f.shape_table_data + 1] = 
			{
				name  = f.ShapeName,
				file  = f.ShapeNameDestr,	
			}
		end
		
		
		f.mapclasskey = "P0091000022";
		f.attribute = {wsType_Static, wsType_Standing} -- if 'attribute' == nil then insertion will be aborted
		
		add_surface_unit(f)
		GT = nil;
	else
		error("Can't add mulburry")
	end;
end


add_structure({
Name 		 =  "mulburry_pier",
DisplayName  = _("mulburry_pier"),
ShapeName	 =   "mulburry_pier",
Life		 =  2500,
Rate		 =  100,
category     =  'Heliport',
subCategory	 =  'SeaShelfObject', -- only for ME 
SeaObject    = 	true,
isPutToWater =  true,
positioning  = 	"NO",
classname    =  "lOilPlatform",
numParking   =  1,
})

add_structure({
Name 		 =  "mulberry_bridge_1",
DisplayName  = _("mulberry_bridge_1"),
ShapeName	 =   "mulberry_bridge_1",
Life		 =  2500,
Rate		 =  100,
category     =  'Heliport',
subCategory	 =  'SeaShelfObject', -- only for ME 
SeaObject    = 	true,
isPutToWater =  true,
positioning  = 	"NO",
classname    =  "lOilPlatform",
numParking   =  1,
})

add_structure({
Name 		 =  "mulberry_bridge_2",
DisplayName  = _("mulberry_bridge_2"),
ShapeName	 =   "mulberry_bridge_2",
Life		 =  2500,
Rate		 =  100,
category     =  'Heliport',
subCategory	 =  'SeaShelfObject', -- only for ME 
SeaObject    = 	true,
isPutToWater =  true,
positioning  = 	"NO",
classname    =  "lOilPlatform",
numParking   =  1,
})

add_structure({
Name 		 =  "mulberry_bridge_3",
DisplayName  = _("mulberry_bridge_3"),
ShapeName	 =   "mulberry_bridge_3",
Life		 =  2500,
Rate		 =  100,
category     =  'Heliport',
subCategory	 =  'SeaShelfObject', -- only for ME 
SeaObject    = 	true,
isPutToWater =  true,
positioning  = 	"NO",
classname    =  "lOilPlatform",
numParking   =  1,
})

add_structure({
Name 		 =  "mulberry_bridge_3_2",
DisplayName  = _("mulberry_bridge_3_2"),
ShapeName	 =   "mulberry_bridge_3_2",
Life		 =  2500,
Rate		 =  100,
category     =  'Heliport',
subCategory	 =  'SeaShelfObject', -- only for ME 
SeaObject    = 	true,
isPutToWater =  true,
positioning  = 	"NO",
classname    =  "lOilPlatform",
numParking   =  1,
})

add_structure({
Name 		 =  "mulberry_bridge_end",
DisplayName  = _("mulberry_bridge_end"),
ShapeName	 =   "mulberry_bridge_end",
Life		 =  2500,
Rate		 =  100,
category     =  'Heliport',
subCategory	 =  'SeaShelfObject', -- only for ME 
SeaObject    = 	true,
isPutToWater =  true,
positioning  = 	"NO",
classname    =  "lOilPlatform",
numParking   =  1,
})

add_structure({
Name 		 =  "mulberry_breakwater",
DisplayName  = _("mulberry_breakwater"),
ShapeName	 =   "mulberry_breakwater",
Life		 =  2500,
Rate		 =  100,
category     =  'Heliport',
subCategory	 =  'SeaShelfObject', -- only for ME 
SeaObject    = 	true,
isPutToWater =  true,
positioning  = 	"NO",
classname    =  "lOilPlatform",
numParking   =  1,
})

